%define lib_major 2
%define lib_name %mklibname evdev %{lib_major}
%define develname %mklibname -d evdev

Name:		libevdev
Version:	1.13.1
Release:	%mkrel 1
Summary:	Kernel Evdev Device Wrapper Library
Group:		System/Libraries
License:	MIT
URL:		http://www.freedesktop.org/wiki/Software/libevdev
Source0:	http://www.freedesktop.org/software/%{name}/%{name}-%{version}.tar.xz

%description
%{name} is a library to wrap kernel evdev devices and provide a proper API
to interact with those devices.

%package	tools
Summary:	Tools for libinput
Group:		System/Base

%description	tools
This package contains the %{name} tools.

%package -n	%{lib_name}
Summary:	Kernel Evdev Device Wrapper Library
Group:		System/Libraries

%description -n	%{lib_name}
%{name} is a library to wrap kernel evdev devices and provide a proper API
to interact with those devices.

%package -n	%{develname}
Summary:	Kernel Evdev Device Wrapper Library Development Package
Group: Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}

%description -n	%{develname}
Kernel Evdev Device Wrapper Library Development Package.

%prep
%setup -q
%apply_patches

%build
autoreconf --force -v --install || exit 1
%configure2_5x \
	--disable-static \
	--disable-silent-rules \
	--disable-gcov
%make

%install
%makeinstall_std

# We intentionally don't ship *.la files
find %{buildroot} -name "*.la" -delete

%files tools
%{_bindir}/touchpad-edge-detector
%{_bindir}/libevdev-tweak-device
%{_bindir}/mouse-dpi-tool

%files -n %{lib_name}
%{_libdir}/libevdev.so.%{lib_major}*

%files -n %{develname}
%{_includedir}/libevdev-1.0/
%{_libdir}/libevdev.so
%{_libdir}/pkgconfig/libevdev.pc
%{_mandir}

%post -n %{lib_name}
/sbin/ldconfig

%postun -n %{lib_name}
/sbin/ldconfig

%changelog
* Tue May 09 2023 tex - 1.13.1-1pclos2023
- new version

* Fri Aug 05 2022 tex - 1.13.0-1pclos2022
- new version

* Sun Mar 27 2022 tex - 1.12.1-1pclos2022
- new version

* Fri Nov 26 2021 tex - 1.12.0-2pclos2021
- rebuild against updates

* Thu Nov 18 2021 tex - 1.12.0-1pclos2021
- new version

* Mon Feb 08 2021 tex - 1.11.0-1pclos2021
- new version

* Wed Jan 13 2021 tex - 1.10.1-1pclos2021
- new version

* Thu Oct 29 2020 tex - 1.10.0-1pclos2020
- new version

* Sat Mar 21 2020 tex - 1.9.0-1pclos2020
- new version

* Fri Aug 30 2019 tex - 1.8.0-1pclos2019
- new version

* Sat Jul 13 2019 tex - 1.7.0-1pclos2019
- new version



